package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.SitePO;
import mhp.oee.po.gen.SitePOExample;

public interface SitePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    int countByExample(SitePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    int deleteByExample(SitePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    int insert(SitePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    int insertSelective(SitePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    List<SitePO> selectByExample(SitePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    SitePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") SitePO record, @Param("example") SitePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") SitePO record, @Param("example") SitePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(SitePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table site
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(SitePO record);
}